Bug 119127 - editores/AbiWord fails to start (problem with gnome_program_init) on 7-STABLE/amd64
Summary: editores/AbiWord fails to start (problem with gnome_program_init) on 7-STABLE...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-29 09:40 UTC by areilly
Modified: 2008-01-02 03:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description areilly 2007-12-29 09:40:02 UTC
	AbiWord compiled from ports on my system (cleanly) does
	not run (even to handle command line flags).
	Compiled with debugging enabled, it stops with the
	single error message:
	DEBUG: SEVIOR: Building menus and toolbars 

	Run under gdb, it shows a SIGSEGV generated by the first
	created thread.  See this gdb stack trace:
(gdb) run
Starting program: /usr/local/bin/AbiWord-2.4 
[New LWP 100172]
[New Thread 0x808701120 (LWP 100172)]
DEBUG: SEVIOR: Building menus and toolbars 

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x808701120 (LWP 100172)]
0x0000000805c75570 in strchr () from /lib/libc.so.7
(gdb) where
#0  0x0000000805c75570 in strchr () from /lib/libc.so.7
#1  0x0000000802ea751d in IA__g_param_spec_pool_lookup (pool=0x808751720, 
    param_name=0x800000000 <Error reading address 0x800000000: Bad address>, 
    owner_type=34501668800, walk_ancestors=1) at gparam.c:765
#2  0x0000000802ea4860 in IA__g_object_new_valist (object_type=34501668800, 
    first_property_name=0x0, var_args=0x7fffffffe1d0) at gobject.c:998
#3  0x0000000803c488e9 in gnome_program_init_common (type=34501668800, 
    app_id=0x900499 "AbiWord-2.4", app_version=0x900493 "2.4.6", 
    module_info=0x58, argc=1, argv=0x7fffffffe498, 
    first_property_name=0x900488 "app-prefix", args=0x7fffffffe1d0, 
    nparams=-1, params=0x0) at gnome-program.c:2046
#4  0x0000000803c489cd in gnome_program_initv (type=Variable "type" is not available.
) at gnome-program.c:2099
#5  0x0000000803c48ac4 in gnome_program_init (app_id=0x900499 "AbiWord-2.4", 
    app_version=0x900493 "2.4.6", module_info=0x803826580, argc=1, 
    argv=0x7fffffffe498, first_property_name=0x900488 "app-prefix")
    at gnome-program.c:1878
#6  0x000000000053e8cb in AP_UnixApp::main (szAppName=0x8f79ad "AbiWord", 
    argc=1, argv=0x7fffffffe498) at ap_UnixApp.cpp:1408
#7  0x0000000000538840 in main (argc=1, argv=0x7fffffffe498) at UnixMain.cpp:26
(gdb) 

    For what it's worth, I've blown away any gnome configurations that
    looked like they belonged to previous versions of abiword (which ran
    fine under FreeBSD-6).

Fix: 

Sorry, no idea.  Happy to report any other system
        peculiarities, if that helps.
How-To-Repeat: 	Build (on my system); run.
Comment 1 Joe Marcus Clarke freebsd_committer 2007-12-30 23:46:32 UTC
State Changed
From-To: open->closed

Fixed in 2.4.6_3.
Comment 2 dfilter service freebsd_committer 2007-12-30 23:46:33 UTC
marcus      2007-12-30 23:46:29 UTC

  FreeBSD ports repository

  Modified files:
    editors/abiword      Makefile 
  Added files:
    editors/abiword/files patch-src_wp_ap_unix_ap_UnixApp.cpp 
  Log:
  Use an explicit (void *)0 instead of NULL to indicate a varargs sentinel.
  This fixes the runtime on 64-bit platforms since since C++ treats NULL as
  simply 0.
  
  PR:             119127
  
  Revision  Changes    Path
  1.126     +1 -1      ports/editors/abiword/Makefile
  1.3       +11 -0     ports/editors/abiword/files/patch-src_wp_ap_unix_ap_UnixApp.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"